<?php
ob_start();
include(dirname(__FILE__)."/require.php");
if (!isset($_GET['id']))
  jump("jump.php?id=error"); 
switch ($_GET['id'])
{
  case 1:
    $clew="操作错误：对不起，用户不存在，或已被设置为该状态";
    break;
  case 2:
    $clew="操作错误：对不起，请将信息填写完整";
    break;
  case 3:
    $clew="操作错误：对不起，该一级分类下仍有子分类，请移走子分类后重试";
    break;
  case 4:
    $clew="操作错误：对不起，记录已存在";
    break;
  case 5:
    $clew="操作错误：对不起，插件不存在后台管理";
    break;
  case 6:
    $clew="操作错误：对不起，不能重复设置吧主";
    break;
  case 7:
    $clew="操作错误：对不起，".$core_bartype."不存在";
    break;
  case 8:
    $clew="操作错误：对不起，内容长度不符合要求";
    break;
  case 10:
    $clew="操作错误：对不起，该分类已经存在";
    break;
  case 11:
    $clew="操作错误：主题字数不符合您在核心设置中的规定";
    break;
  case 12:
    $clew="操作错误：内容字数不符合您在核心设置中的规定";
    break;
  case 13:
    $clew="操作错误：请将文件/configs/config.php的属性设为777可写！";
    break;
  case 14:
    $clew="操作错误：只有选择备份到服务器，才能使用分卷备份功能";
    break;
  case 15:
    $clew="操作错误：您选择了分卷备份功能，但未填写分卷文件大小";
    break;
  case 16:
    $clew="操作错误：备份文件存放目录'./backup'不可写，请修改目录属性";
    break;
  case 17:
    $clew="操作错误：备份数据操作失败";
    break;
  case 18:
    $clew="操作错误：请填写备份文件分卷大小";
    break;
  case 20:
    $clew="操作错误：不能重复设置友情".$core_bartype."";
    break;
  case 21:
    $clew="操作错误：不能将自身添加为友情".$core_bartype."";
    break;
  case 22:
    $clew="操作错误：投票至少需要2个选项";
    break;
  case 23:
    $clew="操作错误：系统不允许删除默认用户组";
    break;
  case 24:
    $clew="操作成功";
    break;
  case 25:
    $clew="操作错误：您没有权限进行本操作";
    break;
  case 26:
    $clew="操作中：请稍候（第 ".$_GET['page']." 次)";
    break;
  case 27:
    $clew="操作错误：该小说已经存在";
    break;
  case 28:
    $clew="操作错误：该小说不存在";
	break;
  case 29:
    $clew="该功能仅限VIP版使用";
	break;
  default:
    $clew="操作错误：出现未知错误, 请与官方联系";
}
$_GET['jump'] = str_replace("=and=","&",$_GET['jump']);
$tpl -> assign("clew", $clew); 
$tpl -> assign("jump", $_GET['jump']); 
$tpl -> display("jump.htm");
ob_end_flush();
?>